Index: ragel/build.sh |
=================================================================== |
--- ragel/build.sh (revision 0) |
+++ ragel/build.sh (revision 0) |
@@ -0,0 +1,20 @@ |
+#!/bin/bash |
+# Copyright (c) 2012 The Native Client Authors. All rights reserved. |
+# Use of this source code is governed by a BSD-style license that can be |
+# found in the LICENSE file. |
+ |
+set -x |
+set -e |
+set -u |
+ |
+cd "$(dirname "$0")" |
+rm -rf ragel-6.7 |
+tar xSvpf ragel-6.7.tar.gz |
+( |
+ cd ragel-6.7 |
+ ./configure |
+ make -j16 \ |
+ CXXFLAGS="-m32" CXXLD='gcc -s' LIBS='-Wl,-Bstatic -lstdc++ -Wl,-Bdynamic' |
+ cp -fv ragel/ragel ../ragel.linux |
+) |
+rm -rf ragel-6.7 |
Property changes on: ragel/build.sh |
___________________________________________________________________ |
Added: svn:executable |
+ * |
Added: svn:eol-style |
+ LF |